package com.viettel.campaign.model.ccms_full;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Entity
@Table(name = "CONTACT_QUEST_RESULT")
@Getter
@Setter
public class ContactQuestResult implements Serializable {
    @Id
    @Column(name = "CONTACT_QUEST_RESULT_ID")
    @NotNull
    private Long contactQuestResultId;
    @Column(name = "CONTACT_CUST_RESULT_ID")
    @NotNull
    private Long contactCustResultId;
    @Column(name = "COMPANY_SITE_ID")
    private Long companySiteId;
    @Column(name = "SCENARIO_QUESTION_ID")
    @NotNull
    private Long scenarioQuestionId;
    @Column(name = "OTHER_OPINION")
    private String otherOpinion;
    @Column(name = "SCENARIO_ANSWER_ID")
    private Long scenarioAnswerId;
    @Column(name = "STATUS")
    private Short status;
    @Column(name = "OLD_CONTACT_CUST_RESULT_ID")
    private Long oldContactCustResultId;
    @Column(name = "CUSTOMER_ID")
    @NotNull
    private Long customerId;
    @Column(name = "CAMPAIGN_ID")
    @NotNull
    private Long campaignId;
}
