package com.viettel.campaign.model.ccms_full;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author hanv_itsol
 * @project campaign
 */
@Entity
@Table(name = "CUSTOMER_TIME")
@Getter
@Setter
public class CustomerTime {

    @Id
    @NotNull
    @Column(name = "CUSTOMER_TIME_ID")
    private Long customerTimeId;

    @Column(name = "COMPANY_SITE_ID")
    private String companySiteId;

    @Column(name = "CUSTOMER_ID")
    private String customerId;

    @Column(name = "START_TIME")
    private Date startTime;

    @Column(name = "END_TIME")
    private Date endTime;

    @Column(name = "STATUS")
    private Integer status;

    @Column(name = "CREATE_TIME")
    private Date createTime;

    @Column(name = "UPDATE_TIME")
    private Date updateTime;

    @Column(name = "CREATE_BY")
    private String createBy;

    @Column(name = "UPDATE_BY")
    private String updateBy;

    @Column(name = "CONTACT_CUST_RESULT_ID")
    private Long contactCustResultId;
}
